#ifndef IMU_GY87_H_
#define IMU_GY87_H_

#include "imu.h"
#include "MPU6050.h"
#include "HMC5883L.h"

class GY87 : public IMU
{
public:
    virtual bool init();
    virtual void get_data(float* imu_data);
private:
    MPU6050 mpu6050;
    HMC5883L mag;

    short ax, ay, az;
    short gx, gy, gz;
    short mx, my, mz;
    short placeholder;
};

#endif
